Subject: Re: [tsvwg] I-D Action: draft-khademi-tsvwg-ecn-response-01.txt

From: Colin Perkins <[email-masked]>
Date: Wed, 20 Jul 2016 16:58:21 +0200

Hi,

As I said in the meeting, this should also update Section 7.3.3 of RFC 6679, which makes the same recommendations for congestion response as RFC 3168 for RTP-related use of ECN.

Colin

> On 20 Jul 2016, at 15:53, [email-masked] wrote:
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> 
> 
>        Title           : Updating the Explicit Congestion Notification (ECN) Specification to Allow IETF Experimentation
>        Authors         : Naeem Khademi
>                          Michael Welzl
>                          Grenville Armitage
>                          Godred Fairhurst
> 	Filename        : draft-khademi-tsvwg-ecn-response-01.txt
> 	Pages           : 12
> 	Date            : 2016-07-20
> 
> Abstract:
>   This document relaxes recommendations and prescriptions from RFC3168
>   and RFC4774 that get in the way of experimentation with different ECN
>   strategies.  First, RFC3168 and RFC4774 state that, upon the receipt
>   by an ECN-Capable transport of a single CE packet, the congestion
>   control algorithms followed at the end-systems MUST be essentially
>   the same as the congestion control response to a single dropped
>   packet.  This document relaxes this rule in order to encourage
>   experimentation with different backoff strategies.  Second, this
>   document allows future IETF specifications to use the ECT(1)
>   codepoint in ways that are currently prohibited by RFC3168.  Third,
>   this document allows future IETF experiments to use the ECT(0) or
>   ECT(1) codepoint on any TCP segment.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-khademi-tsvwg-ecn-response/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-khademi-tsvwg-ecn-response-01
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-khademi-tsvwg-ecn-response-01
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

-- 
Colin Perkins
https://csperkins.org/

---

From: G Fairhurst <[email-masked]>
Date: Wed, 20 Jul 2016 20:13:45 +0200

Yes, I think this should be added,

Gorry